WordPress.org

Ready to get started?Download WordPress

Plugin Directory

Smart Image Gallery

Smart Image Gallery allows to insert images, and pictures, in your blog, directly from the WordPress media library, or eternal images repositories...

Smart Image Gallery allows to insert images, and pictures, in your blog, directly from the WordPress media library, or eternal images repositories (like: Flickr, Picasa, Instagram, Facebook or Google Images ). The images are searched, and inserted, from the article edition, without importing them to the WordPress media library. All you need to do is pick the search criteria, and the plugin will search in all available sources, allowing select the images that most closely match the blog's subject.

Smart Image Gallery allows insert the selected images by separated, or as part of a gallery. It is possible select between different galleries designs, included with the plugin.

Features

  • Insert images, or image galleries, in the blog's articles
  • The easiest way to find images related with the articles
  • Allows search for images in the WordPress media library, or external images repositories
  • Allows to display the images separately or as part of a gallery
  • Reduces the bandwidth consumption of your server using images hosted in external servers

The base plugin, available for free from the WordPress Plugin Directory, has all the features needed for search, and insert, images in the website's articles.

Premium Features

  • Includes a wide number of images repositories (like:WordPress media library, Flickr, Picasa, Instagram, Facebook and Googel Images)
  • Includes additional galleries designs (like: carousel and Classic Gallery )

Demo of Premium Version of Plugin

http://demos.net-factor.com/smart-image-gallery/wp-login.php

http://demos.net-factor.com/smart-image-gallery/

If you want more information about this plugin, or another one, visits my website:

http://wordpress.dwbooster.com

Requirements:

The requirements depend of the images repository, some repositories require an API Key, or Client ID

Requires: 3.0.5 or higher
Compatible up to: 3.9.2
Last Updated: 2014-4-16
Downloads: 12,434

Ratings

5 stars
5 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1